Resolve a Meta Ad Library URL
Parses a public Facebook Ad Library search or page-browse url and returns the matching operation (search or page) with its parameters. It returns resolution data only, not ads.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
url*string
A public Facebook Meta Ad Library search or page-browse URL.
Format
uriLength
length <= 2000curl -X GET "https://example.com/v1/meta/resolve-url?url=https%3A%2F%2Fwww.facebook.com%2Fads%2Flibrary%2F%3Factive_status%3Dactive%26ad_type%3Dall%26country%3DUS%26q%3Drunning%2520shoes%26search_type%3Dkeyword_unordered" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "operation": "search", "params": { "q": "flipkart", "country": "IN", "active_status": "all", "ad_type": "ALL", "search_type": "keyword_unordered", "media_type": "all", "sort_mode": "total_impressions", "sort_direction": "desc", "date_min": "2026-01-01", "date_max": "2026-12-31", "content_languages": "en,hi", "publisher_platforms": "FACEBOOK,INSTAGRAM", "page_ids": "102988293558,10369058551", "is_targeted_country": true, "potential_reach_min": 0, "potential_reach_max": 0 } }}